Python 2.0 vs 2.2

Scripting in Blender with Python, and working on the API

Moderators: jesterKing, stiv

Bischofftep
Posts: 37
Joined: Thu Feb 06, 2003 11:01 pm
Location: Richmond, VA
Contact:

Python 2.0 vs 2.2

Postby Bischofftep » Thu Mar 13, 2003 3:05 am

Hello, all:

In response to some queries about MacOS X users having no luck with 'math' and other compiled modules, it was suggested that the reason had to do with Blender using Python 2.0 only.

I have been completely unable to locate a Python source or binary for 2.0... the earliest I can grab is for 2.1. So... did Blender for Mac EVER run Python correctly?

Any input here is greatly appreciated! Can Linux/Windows users use 2.2 Python with Blender?

Thanks,

-Bischofftep

z3r0_d
Posts: 1522
Joined: Wed Oct 16, 2002 2:38 am
Contact:

Re: Python 2.0 vs 2.2

Postby z3r0_d » Thu Mar 13, 2003 8:08 am

Bischofftep wrote:Can Linux/Windows users use 2.2 Python with Blender?


Sorta, more than a few compiled modules do not work.
... but some things seem to work.
(maybe by using only py2.0 modules that came with blender)

look at what the output is for:

Code: Select all

import sys
print sys.modules
print sys.builtin_module_names


you should see a bunch of modules that you can use easily enough. Set you python path, and get more.


Return to “Python”

Who is online

Users browsing this forum: Google [Bot] and 0 guests